
<?php

// api calls naar eigen site 
require_once("common/AutoLoadFunctions.php");
$RootPath = SetSiteRootPath();
//$APIIP=$_SERVER['SERVER_ADDR'] . ':' . $_SERVER['SERVER_PORT'];
$APIIP=$_SERVER['SERVER_ADDR'];
// kijken of deze pagina aan wordt geroepen vanuit een andere pagina , 
// en of we in testmode gestart worden
// zo niet dan starten we in testmode met een default URL

if ( !isset($apiRequest) && !isset($apiTestMode) ) 
{
	$apiTestMode=true;
	//$apiRequest = "http://" . $APIIP . $RootPath . "/API/BookingAdapter/GetNextFreeBookingNR.php";
	$apiRequest = "http://" . $APIIP . $RootPath . "/API/BookingAdapter/GetConfig.php";
} else {
	$apiRequest = "http://" . $APIIP . $RootPath . "/API" . $apiRequest;
}


//echo $apiRequest;

LoadConfig();

if ( !isset($apiPostData) )
{
	$apiPostData = [];
}

$Data = json_encode($apiPostData);
$Data = str_replace("'", "_", $Data);
WriteToXMLLOG('CustommateAPIRequest',$apiRequest,$Data); 

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => $apiRequest,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_SSL_VERIFYPEER => false,
  CURLOPT_POSTFIELDS => $apiPostData,
  CURLOPT_HTTPHEADER => array(
    "key:" . $APIKey
  ),
    
  

));
set_time_limit(0);
$response = curl_exec($curl);


	$APIDecodedResponse = html_entity_decode($response);
	$APIDecodedResponse = trim($APIDecodedResponse);
	$APIResponseData = json_decode($APIDecodedResponse, true);	

	$Data = str_replace("'", "_", $APIDecodedResponse);
	$Data = trim($Data);
	WriteToXMLLOG('CustommateAPIAnswer',$apiRequest,$Data); 
	
	if ( json_last_error() === JSON_ERROR_NONE )
	{
		
	} else { // Als de data geen json is dan deze verpakken in een json antwoord
		$response = trim($response);
		//echo $response;

		$response = trim($response);
		//echo $response;
		$response = '{"success":false,"error":"' . $response . '"}';
		$APIDecodedResponse = html_entity_decode($response);	
		$APIResponseData = json_decode($APIDecodedResponse, true);	
	}
	
	
	if ( $apiTestMode === true )
		{
			print "<pre>";
			print_r($APIResponseData);
			print "</pre>";
		}

$err = curl_error($curl);

curl_close($curl);

?>