<?php




StartSession();


function SmallStart()
{

	StartSession();
	
	CheckENTRY();
	SetSiteRootPath();
	LoadConfig();
	CheckGetPost();
	LoadLoginRequires();
	
	auth($_SESSION['Session'] , $_SESSION['UserID']);
	LoadConfig();
	LoadRequires();

}

function OnlyChecks()
{
	StartSession();
	CheckENTRY();
	CheckGetPost();
	
}

function CheckIPLog()
{
	CheckIpBlock(1); // sql injectie
	CheckIpBlock(3); // geprobeerd in te loggen als andere user	
	CheckUserBlock(); // gebruiiker heeft een block
}

function SetDefaults()
{
	
	if (file_exists('../DefaultSettings.php')) {
		include("../DefaultSettings.php"); 
	} 
	
	/*
	if (file_exists('DefaultSettings.php')) {
		include("DefaultSettings.php"); 
	}
	*/	
		//include("../DefaultSettings.php"); 

}

function SetSessionVars()
{
	require("C:/HT_DATA/CONFIGS" . $_SESSION['SiteRootPath'] . "/config.php");
	if ( isset($FreeMode) )
		{
			$_SESSION['FreeMode']=$FreeMode;
		} else {
			$_SESSION['FreeMode']='FALSE';
		}	

	if ( isset($TestMode) )
		{
			$_SESSION['TestMode']=$TestMode;
		} else {
			$_SESSION['TestMode']='FALSE';
		}	
	
		//echo '!!'. $AutoActivateBooking;
	if ( $AutoActivateBooking===FALSE )
		{
			//echo 'AutoActivateBooking=false';
			//echo '1';
			$_SESSION['BlockActivateBooking']=TRUE;	
		} else {
			//echo 'AutoActivateBooking=true';
			//echo '2';
			$_SESSION['BlockActivateBooking']=FALSE;
		}	
}

function StartSession(){
	if(session_id() == '') {
		session_start();
	}
}


function LoadLoginRequires()
{

	if (file_exists('../login/functions.php')) {
		require_once("../login/functions.php");
	} else if (file_exists('../../login/functions.php')) {
		require_once("../../login/functions.php");
	} else if (file_exists('login/functions.php')) {
		require_once("login/functions.php");
	}		
}

function LoadRequires()
{

	//require_once("login/functions.php");
	if (file_exists('common/functions.php')) {
		require_once("common/functions.php");
	} else if (file_exists('../common/functions.php')) {
		require_once("../common/functions.php");
	} else if (file_exists('../../common/functions.php')) {
		require_once("../../common/functions.php");
	}
	
	//require_once("settings.php");
}


function SetSiteRootPath()
{
	$fileRoot = dirname(__FILE__);
	$DirName  = str_replace('\\','/',dirname(__FILE__));
	$DirName  = strtolower($DirName);
	if ( substr($DirName, -6) == "/login" )	{ $DirName = substr($DirName, 0, -6); } 	
	if ( substr($DirName, -7) == "/common" )	{ $DirName = substr($DirName, 0, -7); } 	


	if ( substr($_SERVER["DOCUMENT_ROOT"], -1) == "/" )
	{
		$documentRoot = substr($_SERVER["DOCUMENT_ROOT"], 0, -1);
	} else {
		$documentRoot = $_SERVER["DOCUMENT_ROOT"];
	}
	$documentRoot = strtolower($documentRoot);
	//echo $DirName;
	//echo "<br>";
	//echo $documentRoot;
	
	
	if ( strtolower($DirName) == strtolower($documentRoot) )
	{
		$pos = strrpos($documentRoot, "/");
		$DirName = substr($documentRoot, $pos, strlen($documentRoot));  
	} else {
		$DirName  = str_replace($documentRoot,'',$DirName);
	}

	$DirName = "/" . $DirName; // altijd maar 1 / in deze variabele plaatsen, nooit 2 achter elkaar , dit kan voorkomen als documentroot in apache eindigd met een /
	$DirName  = str_replace("//","/",$DirName);
	
	if ( !isset($_SESSION['SiteRootPath']) )
		{
			$_SESSION['SiteRootPath'] = $DirName;
		}	

	return $DirName;
}

function CheckENTRY()
{

	if(!defined("MULTIPOS_ENTRY")){ 
		echo 'NO ACCESS';
		exit(1);
	} else {
		if( MULTIPOS_ENTRY==False ){
			echo 'NO ACCESS';
			exit(1);
		}
	}	
}

function CheckHTDATAPath()
{
	if (!file_exists('C:/HT_DATA/LOGS' . $_SESSION['SiteRootPath'])) {
		mkdir('C:/HT_DATA/LOGS' . $_SESSION['SiteRootPath'], 0777, true);
	}

	if (!file_exists('C:/HT_DATA/CONFIGS' . $_SESSION['SiteRootPath'])) {
		mkdir('C:/HT_DATA/CONFIGS' . $_SESSION['SiteRootPath'], 0777, true);
	}
	
	if (!file_exists('C:/HT_DATA/SETTINGS' . $_SESSION['SiteRootPath'])) {
		mkdir('C:/HT_DATA/SETTINGS' . $_SESSION['SiteRootPath'], 0777, true);
	}	
}

function LoadConfig()
{
	// echo "C:/HT_DATA/CONFIGS" . $_SESSION['SiteRootPath'] . "/db_config.php";
	global $pdo;
	require("C:/HT_DATA/CONFIGS" . $_SESSION['SiteRootPath'] . "/db_config.php");
	require("C:/HT_DATA/CONFIGS" . $_SESSION['SiteRootPath'] . "/config.php");
	require("C:/HT_DATA/CONFIGS" . $_SESSION['SiteRootPath'] . "/mail_config.php");
	//echo "<br>C:/HT_DATA/CONFIGS" . $_SESSION['SiteRootPath'] . "/mail_config.php<br>";

}

function CheckGetPost()
{
	foreach($_GET as $Key => $Value){
		$_GET[$Key] = mysql_real_escape_string(preg_replace('/[^A-Za-z0-9!|: @$-]/', '', $Value));
	}	

	foreach($_POST as $Key => $Value){
		$_POST[$Key] = mysql_real_escape_string(preg_replace('/[^A-Za-z0-9!@$-]/', '', $Value));
	}		
}

function CheckForUnwantedChars() {
//	if (preg_match('/[,\'\"\`\/\t\0\b\n\r\\\]/', $Value) )
	foreach($_GET as $Key => $Value){
	if (preg_match('/[,\'\"\`\/\t\0\b\n\r\\\]/', $Value) )
		{
			TriggerIpBlock(1);
			exit();
		}		
	}	

	foreach($_POST as $Key => $Value){
//	if (preg_match('/[,\'\"\`\/\t\0\b\n\r\\\]/', $Value) )
	if (preg_match('/[,\'\"\`\/\t\0\b\n\r\\\]/', $Value) )
		{
			TriggerIpBlock(1);
			exit();
		}		
	}	
}



function LoadExternalStyleSheet()
{
	if ( isset($_SESSION['ExternalStyleSheet']) ) 
		{
		echo "<link rel='stylesheet' href='" . $_SESSION['ExternalStyleSheet'] . "' type='text/css'>";
		}
	
}

function GetPageURL()
{

	if ( !isset($PageUrl))
		{
			$PageUrl = strtolower(curPageURL());
		}

	$_SESSION['SiteURL'] = GetSiteURL();	
}
?>


