<?php



class DBHandler {
    private $db;

    function __construct() {
        $this->connect_database();
    }

    public function getInstance() {
        return $this->db;
    }

    private function connect_database() {
        // Database connection
        try {
			
			GLOBAL $db_host;
			GLOBAL $db_user;
			GLOBAL $db_pass;
			GLOBAL $db_name;
			
			//$db_host = $_SESSION['db_host'];
			//$db_user = $_SESSION['db_user'];
			//$db_pass = $_SESSION['db_pass'];
			//$db_name = $_SESSION['db_name'];

			$db_dsn = "mysql:host=".$db_host.";dbname=".$db_name."..;charset=utf8"; 
			
			if ( !defined('DSN')) {
				define('DSN', "mysql:host=".$db_host.";dbname=".$db_name.";charset=utf8");
				define('HOST', $db_host);
				define('USER', $db_user);
				define('PASS', $db_pass);
				define('NAME', $db_name);
			}

            $pdo = new PDO(DSN, USER, PASS);
			$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$pdo->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
			$pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);

            $this->db = $pdo;
        }
        catch(PDOException $e) {
            $this->db = null;
        }
    }   
}

?>